- Qt 5.15
- Qt Multimedia
- C++ Classes
- FrameRateRange
- Qt 5.15.19 Reference Documentation

# FrameRateRange Struct

struct QCamera::FrameRateRange

A FrameRateRange represents a range of frame rates as minimum and maximum rate. More...

This struct was introduced in Qt 5.5.

- List of all members, including inherited members

## Public Functions

| FrameRateRange(qreal minimum, qreal maximum)
| FrameRateRange()

## Public Variables

qreal | maximumFrameRate
qreal | minimumFrameRate

## Detailed Description

If the minimum frame rate is equal to the maximum frame rate, the frame rate is fixed. If not, the actual frame rate fluctuates between the minimum and the maximum.

See also QCamera::supportedViewfinderFrameRateRanges() and QCameraViewfinderSettings.

## Member Function Documentation

### FrameRateRange::FrameRateRange(qreal minimum, qreal maximum)

Constructs a frame rate range with the given minimum and maximum frame rates.

### FrameRateRange::FrameRateRange()

Constructs a null frame rate range, with both minimumFrameRate and maximumFrameRate equal to `0.0`.

## Member Variable Documentation

### qreal FrameRateRange::maximumFrameRate

The maximum frame rate supported by the range, in frames per second.

### qreal FrameRateRange::minimumFrameRate

The minimum frame rate supported by the range, in frames per second.